> For the complete documentation index, see [llms.txt](https://docs.edgetag.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.edgetag.io/api/getting-started/implementation/dns.md).

# DNS

Now that the website is created, we can use `tagId` from the first step to get DNS records.&#x20;

DNS records are a key concept in the EdgeTag system. The entire infrastructure is deployed as a first-party ecosystem, enabling better security, privacy, and signal collection. But to be a first-party, they will need to add DNS records returned from the API to their name server hosting provider.&#x20;

Our system has two DNS records: TXT and CNAME.

TXT is used to verify domain ownership, and CNAME is used to route traffic to a dedicated endpoint in Cloudflare.

[Tag](/api/api/tag.md#get-tag-verify-mapping-tagid)

{% tabs %}
{% tab title="JavaScript" %}

```javascript
fetch('https://api-sandbox.edgetag.io/tag/verify/mapping/{tagId}', {
  method: 'GET',
  headers: {
    'Accept': 'application/json',
    'Authorization': 'Bearer your-token',
    'Team-Id': '{your-team-id}'
  }
})

```

{% endtab %}

{% tab title="cURL" %}

```bash
curl --request GET \
  --url https://api-sandbox.edgetag.io/tag/verify/mapping/{tagId} \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer {your-token}' \
  --header 'Team-Id: {your-team-id}'
```

{% endtab %}
{% endtabs %}

If you receive `true`  for property`valid` in the response, that means DNS records are set up correctly, and you are good to go.

{% hint style="warning" %}
If you call this endpoint multiple times and the TXT record, for example, is already mapped, you will only see CNAME in the response, as that is the only record left to set.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.edgetag.io/api/getting-started/implementation/dns.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
